/******************************************************************************/
/****         Suche nach einem ganze Wort                                  ****/
/******************************************************************************/

    WITH
    words_1 AS
    (
          /* Join fr zu suchendes Wort */
          SELECT "FK_tlw_txt",      /* FK auf Texttabelle          */
                 "CL_tlw_index",    /* Index des Wortes im Text    */
                 "CL_tlw_position"  /* Position des Wortes im Text */
            FROM "words"
                 /* Verkpfung des Wortes mit dem Volltextindex */
      INNER JOIN "text_link_words" ON "FK_tlw_wrd" = "PK_wrd"
                 /* zu suchendes Wort mit Lower() wg. berechnetem Index */
           WHERE LOWER("CL_wrd_word") = 'firebird'
                 /* in diesem Fall nur ganze Wrter */
             AND "FK_tlw_wty" = 0
    )
    SELECT "PK_txt",      /* PK des Textes */
           "CL_txt_text", /* der Text      */
           /* Liste der gefundenen Indizes im Text */
           LIST(w1."CL_tlw_index"   , ';') AS "CL_tlw_index_1",
           /* Liste der gefundenen Positionen im Text */
           LIST(w1."CL_tlw_position", ';') AS "CL_tlw_position_1"
      FROM "texts"
           /* Text mit gesuchtem Wort verkpfen */
INNER JOIN words_1 w1 ON "PK_txt" = w1."FK_tlw_txt"
  GROUP BY "PK_txt",
           "CL_txt_text"
